import express from "express";
import { doInit } from "./routes/init.js";

const app = express()
const port = 3000;

app.use(express.static('public'));
app.set('view engine', 'ejs');
app.enable('view cache');

app.listen(port, () => {
  console.log(`Example app listening on port ${port}`)
})

doInit(app);

// TODO: rate limit stuff and fix long urls